with GNATCOM.Dispinterface;

package MSHTML.IHTMLCurrentStyle_Interface is

   type IHTMLCurrentStyle_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out IHTMLCurrentStyle_Type);

   function Pointer (This : IHTMLCurrentStyle_Type)
     return Pointer_To_IHTMLCurrentStyle;

   procedure Attach (This    : in out IHTMLCurrentStyle_Type;
                     Pointer : in     Pointer_To_IHTMLCurrentStyle);

   function Get_position
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.BSTR;

   function Get_styleFloat
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.BSTR;

   function Get_color
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_backgroundColor
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_fontFamily
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.BSTR;

   function Get_fontStyle
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.BSTR;

   function Get_fontVariant
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.BSTR;

   function Get_fontWeight
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_fontSize
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_backgroundImage
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.BSTR;

   function Get_backgroundPositionX
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_backgroundPositionY
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_backgroundRepeat
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.BSTR;

   function Get_borderLeftColor
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_borderTopColor
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_borderRightColor
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_borderBottomColor
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_borderTopStyle
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.BSTR;

   function Get_borderRightStyle
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.BSTR;

   function Get_borderBottomStyle
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.BSTR;

   function Get_borderLeftStyle
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.BSTR;

   function Get_borderTopWidth
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_borderRightWidth
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_borderBottomWidth
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_borderLeftWidth
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_left
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_top
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_width
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_height
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_paddingLeft
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_paddingTop
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_paddingRight
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_paddingBottom
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_textAlign
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.BSTR;

   function Get_textDecoration
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.BSTR;

   function Get_display
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.BSTR;

   function Get_visibility
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.BSTR;

   function Get_zIndex
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_letterSpacing
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_lineHeight
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_textIndent
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_verticalAlign
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_backgroundAttachment
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.BSTR;

   function Get_marginTop
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_marginRight
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_marginBottom
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_marginLeft
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_clear
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.BSTR;

   function Get_listStyleType
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.BSTR;

   function Get_listStylePosition
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.BSTR;

   function Get_listStyleImage
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.BSTR;

   function Get_clipTop
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_clipRight
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_clipBottom
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_clipLeft
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_overflow
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.BSTR;

   function Get_pageBreakBefore
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.BSTR;

   function Get_pageBreakAfter
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.BSTR;

   function Get_cursor
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.BSTR;

   function Get_tableLayout
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.BSTR;

   function Get_borderCollapse
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.BSTR;

   function Get_direction
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.BSTR;

   function Get_behavior
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.BSTR;

   function getAttribute
     (This             : IHTMLCurrentStyle_Type;
      strAttributeName : GNATCOM.Types.BSTR;
      lFlags           : Interfaces.C.long;
      Free             : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function Get_unicodeBidi
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.BSTR;

   function Get_right
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_bottom
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_imeMode
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.BSTR;

   function Get_rubyAlign
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.BSTR;

   function Get_rubyPosition
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.BSTR;

   function Get_rubyOverhang
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.BSTR;

   function Get_textAutospace
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.BSTR;

   function Get_lineBreak
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.BSTR;

   function Get_wordBreak
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.BSTR;

   function Get_textJustify
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.BSTR;

   function Get_textJustifyTrim
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.BSTR;

   function Get_textKashida
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_blockDirection
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.BSTR;

   function Get_layoutGridChar
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_layoutGridLine
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_layoutGridMode
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.BSTR;

   function Get_layoutGridType
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.BSTR;

   function Get_borderStyle
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.BSTR;

   function Get_borderColor
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.BSTR;

   function Get_borderWidth
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.BSTR;

   function Get_padding
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.BSTR;

   function Get_margin
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.BSTR;

   function Get_accelerator
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.BSTR;

   function Get_overflowX
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.BSTR;

   function Get_overflowY
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.BSTR;

   function Get_textTransform
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.BSTR;

end MSHTML.IHTMLCurrentStyle_Interface;

